depends = ('ITKPyBase', 'ITKSmoothing', 'ITKGPUImageFilterBase', 'ITKGPUCommon', 'ITKCommon', )
templates = (
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGID2GID2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterGID3GID3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GISS2MeanImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::MeanImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUC2MeanImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::MeanImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUS2MeanImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::MeanImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIF2MeanImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::MeanImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GID2MeanImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, itk::MeanImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GISS3MeanImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::MeanImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUC3MeanImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::MeanImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUS3MeanImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::MeanImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIF3MeanImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::MeanImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GID3MeanImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, itk::MeanImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGISS2GISS2MeanImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::MeanImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGIUC2GIUC2MeanImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::MeanImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGIUS2GIUS2MeanImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::MeanImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGIF2GIF2MeanImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::MeanImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGID2GID2MeanImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, itk::MeanImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGISS3GISS3MeanImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::MeanImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGIUC3GIUC3MeanImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::MeanImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGIUS3GIUS3MeanImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::MeanImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGIF3GIF3MeanImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::MeanImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUBoxImageFilter', 'itk::GPUBoxImageFilter', 'itkGPUBoxImageFilterGID3GID3MeanImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, itk::MeanImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGISS2GISS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGIUC2GIUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGIUS2GIUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGIF2GIF2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGID2GID2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGISS3GISS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGIUC3GIUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGIUS3GIUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGIF3GIF3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUMeanImageFilter', 'itk::GPUMeanImageFilter', 'itkGPUMeanImageFilterGID3GID3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
)
snake_case_functions = ('gpu_box_image_filter', 'mean_image_filter', 'gpu_mean_image_filter', 'gpu_image_to_image_filter', )
